> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task metadata

> Retrieve metadata and status information for a specific task using its session ID. This includes execution status, timestamps, and progress logs.



## OpenAPI

````yaml GET /tasks/{session_id}
openapi: 3.0.3
info:
  title: BrowserAI Task API
  version: 1.0.0
  description: API for creating and retrieving browser automation tasks and their results.
servers:
  - url: https://browser.ai/api/v1
security: []
paths:
  /tasks/{session_id}:
    get:
      tags:
        - Result
      summary: Get task's metadata.
      description: >-
        Retrieve metadata and status information for a specific task using its
        session ID. This includes execution status, timestamps, and progress
        logs.
      parameters:
        - name: session_id
          in: path
          required: true
          description: Insert your task’s `session ID` located in your Projects dashboard.
          schema:
            type: string
      responses:
        '200':
          description: Task details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTaskResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                error: Unauthorized
        '404':
          description: Task not found
          content:
            application/json:
              example:
                error: Task not found
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                error: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetTaskResponse:
      type: object
      properties:
        executionId:
          type: string
        scriptId:
          type: string
        scriptType:
          type: string
        status:
          type: string
        progress:
          $ref: '#/components/schemas/TaskProgress'
        started:
          type: string
          format: date-time
        estimatedCompletion:
          type: string
          format: date-time
    TaskProgress:
      type: object
      properties:
        status:
          type: string
        logs:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Insert API token, use the format: `apikey <API-TOKEN>`.'

````